package com.jasamedika.medifirst2000.vo;

import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.FetchType;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class ResikoJatuhDetailCustomVO extends BaseTransactionVO {
	
	@ManyToOne
	@Caption(value="Transfer Pasien Internal")
	private TransferPasienInternalVO transferPasienInternal;
	
	@ManyToOne
	@Caption(value="Transfer Pasien Exsternal")
	private TransferPasienExsternalVO transferPasienExsternal;
	
	@OneToMany(cascade=CascadeType.ALL,fetch = FetchType.LAZY)
	@Caption(value="Object Resiko Jatuh")
	private Set<ResikoJatuhDetailVO> resikoJatuhDetail =new HashSet<ResikoJatuhDetailVO>();

	public Set<ResikoJatuhDetailVO> getResikoJatuhDetail() {
		return resikoJatuhDetail;
	}

	public void setResikoJatuhDetail(Set<ResikoJatuhDetailVO> resikoJatuhDetail) {
		this.resikoJatuhDetail = resikoJatuhDetail;
	}

	public TransferPasienInternalVO getTransferPasienInternal() {
		return transferPasienInternal;
	}

	public void setTransferPasienInternal(TransferPasienInternalVO transferPasienInternal) {
		this.transferPasienInternal = transferPasienInternal;
	}

	public TransferPasienExsternalVO getTransferPasienExsternal() {
		return transferPasienExsternal;
	}

	public void setTransferPasienExsternal(TransferPasienExsternalVO transferPasienExsternal) {
		this.transferPasienExsternal = transferPasienExsternal;
	}

	
}
